/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package libcalcolatrice;

/**
 *
 * @author gdestri
 */
public class CalcolatriceAdapter {
    // ATTRIBUTO: oggetto interno che svolge le operazioni
    Calcolatrice calc = new Calcolatrice();
    
    // METODI DI SERVIZIO INTERNI PER LE CONVERSIONI
    private String doubleToString(double p_doubleVal) {
        return Double.toString(p_doubleVal);
    } // end method doubleToString
    
    private double stringToDouble(String p_stringVal) {
        double resVal = 0.0;
        
        try {
            resVal = (double) Double.parseDouble(p_stringVal);
        } 
        catch (Exception e) {
            System.out.println(e.getMessage());
        }
        
        return resVal;
    } // end method stringToDouble
 
    // METODI PUBBLICI PER LE OPERAZIONI
    public String somma (String p_op1, String p_op2) {
        double d_op1 = stringToDouble(p_op1);
        double d_op2 = stringToDouble(p_op2);
        double resDouble = calc.somma(d_op1, d_op2);
        return doubleToString(resDouble);
    } // end method somma

    public String sottrai (String p_op1, String p_op2) {
        double d_op1 = stringToDouble(p_op1);
        double d_op2 = stringToDouble(p_op2);
        double resDouble = calc.sottrai(d_op1, d_op2);
        return doubleToString(resDouble);
    } // end method sottrai

    public String moltiplica (String p_op1, String p_op2) {
        double d_op1 = stringToDouble(p_op1);
        double d_op2 = stringToDouble(p_op2);
        double resDouble = calc.moltiplica(d_op1, d_op2);
        return doubleToString(resDouble);
    } // end method moltiplica

    public String dividi (String p_op1, String p_op2) {
        double d_op1 = stringToDouble(p_op1);
        double d_op2 = stringToDouble(p_op2);
        double resDouble = calc.dividi(d_op1, d_op2);
        return doubleToString(resDouble);
    } // end method dividi

    
} // end class CalcolatriceAdapter

